#
# spec file for package publicsuffix
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 yaneti@declera.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           publicsuffix
Version:        20170424
Release:        1.1
Summary:        Cross-vendor public domain suffix database
License:        MPL-2.0
Group:          Productivity/Networking/Other
Url:            https://publicsuffix.org/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  psl-make-dafsa
BuildRequires:  python3
BuildArch:      noarch

%description
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

%prep
%setup -q

%build
psl-make-dafsa \
    --input-format=psl \
    --output-format=binary \
    public_suffix_list.dat public_suffix_list.dafsa

%check
make %{?_smp_mflags} test-syntax

%install
install -m 644 -p -D public_suffix_list.dat \
  %{buildroot}/%{_datadir}/%{name}/public_suffix_list.dat
install -m 644 -p -D public_suffix_list.dafsa \
  %{buildroot}/%{_datadir}/%{name}/public_suffix_list.dafsa

%files
%defattr(-,root,root)
%doc LICENSE
%{_datadir}/%{name}

%changelog
* Tue May  9 2017 astieger@suse.com
- Update to version 20170424:
  * Additional evennode.com domains (#428)
  * Update .zw extensions (#369)
  * Add Ici la Lune hosting domain (#370)
  * Update Daplie, Inc domains (#388)
  * Add XS4ALL Internet bv domains (#397)
  * Add Octopodal Solutions, LLC domains (#404)
  * Add Cloud66 domains (#409)
  * Add A.W. AdvisorWebsites.com Software Inc domains (#413)
  * Add Fedora domains (#414)
  * Add Synology, Inc. domains (#415)
  * Correct Fedora domain sorting
  * Adding IPiFony Systems, Inc. domains (#429)
  * Add Uberspace domains (#432)
  * Add SensioLabs, SAS domains (#423)
  * Update .ar ccTLD (#406)
  * Update .ไทย domains (#408)
  * Add Qutheory, LLC domains (#407)
  * Adding Quip domains (#427)
  * Add eDirect Corp domains (#398)
  * Add bplaced network domains (#433)
  * Add Mail.ru Group domains (#421)
  * Update Platform.sh / Commerce Guys SAS domains (#417)
  * Formatting
* Tue Apr  4 2017 tchvatal@suse.com
- Update to version 20170331:
  * Include fastly.net subdomain for related services (#424)
* Thu Mar 16 2017 astieger@suse.com
- Update to version 20170303:
  * Add new gTLDs up to 2017-02-23 (#405)
  * adding storj.farm for Storj Labs Inc. (#400)
* Fri Feb 10 2017 astieger@suse.com
- Update to version 20170206:
  * Add additional private Fastly domains (#371)
  * Add onion (#386)
  * Removing s3.amazonaws.com wildcard, adding AWS eu-west-2 regional endpoints (#387)
  * Add .RU and .SU geographic suffixes owned by FAITID (#384)
* Sat Jan 14 2017 mpluskal@suse.com
- Update to version 20170105:
  * Add Amune.org to Public Suffix List (#357)
  * Adding TwoDNS TLD's to public_suffix_list.dat (#328)
  * Remove ro.com from Public Suffix List (#346)
  * Add 1gb.ua domains (#353)
  * Add homeoffice.gov.uk (#342)
  * Update list of .RU reserved domains (#359)
  * Add remotewd.com for Western Digital
- Enable syntax checks
* Wed Dec 14 2016 astieger@suse.com
- Update to version 20161211:
  * Remove volgograd.ru from Public Suffix List (#340)
  * Add user.party.eus to PRIVATE section (#348)
  * Adding wildcard for *.s3.amazonaws.com, ca-central-1 AWS region and changing Amazon contact info (#351)
  * Added on-web.fr (Planet-Work shared hosting) (#349)
  * Added .ni as a valid user registerable domain. (#336)
  * Sort .NI
* Sat Dec  3 2016 mpluskal@suse.com
- Update to version 20161128:
  * Update Futureweb OG Private Domains (#332)
  * DynamicDNS and Portmapping Service Feste-IP.net (#295)
  * Added Enonic Cloud domains to list (#330)
  * Added dynamic domains for Yombo (#331)
  * Update Amazon AWS domains (#259)
  * Merge new gTLDs up through 2016-11-29 (#341)
- Use _service for easier updating
* Tue Nov 22 2016 astieger@suse.com
- build compact DAFSA format of the list
* Mon Nov 14 2016 astieger@suse.com
- 2016-11-10 update:
  * Add sinacloud domains: appchizi.com, applinzi.com
  * Add apps.lair.io and stolos.io
  * Add ddnss.org domains
  * Update .JP suffix
  * Add Securepoint Dynamic DNS domains
  * Add now.sh
  * Add shiftedit.io
* Mon Oct 24 2016 astieger@suse.com
- 2016-10-21 update:
  * Update .mz suffixes according to registry
  * Add Futureweb OG Private Domains
  * Add alwaysdata.net
  * Add publishproxy.com
  * Add TAIFUN Software AG domains
  * Add Revitalised Limited domains
  * Add opencraft.hosting
  * Add KnightPoint Systems domain
  * Brazilian .leg.br
  * Add Keyweb AG domains
  * Add ClouDNS domains
  * Add TransIP domains
  * Add .cy suffix
  * Add myfusion.cloud
* Tue Aug 30 2016 astieger@suse.com
- 2016-08-26 update:
  * update .krd
  * Add js.org
  * Move lib.de.us to private section
  * Add wmflabs.orgf
  * Add new gTLSs up to 2016-08-17
  * Add bnr.la
  * Add Joyent Triton
  * Add protonet.io
* Mon Aug  8 2016 astieger@suse.com
- 2016-08-05 update:
  * Add myasustor.com
  * Add myqnapcloud domains
* Mon Aug  1 2016 astieger@suse.com
- 2016-07-31 update:
  * Add meteorapp.com
  * Add Drud domains
  * Add backplaneapp.io
  * Add gitlab.io
  * Add static.land
  * Add stackspace.space
  * Add browsersafetymark.io
* Mon Jul  4 2016 astieger@suse.com
- 2016-07-03 update:
  * Add mycd.eu
  * Add beep.pl
  * Add hepforge.org
  * Add certmgr.org
  * Add fhapp.xyz
  * Update .jp suffixes
  * Add tuxfamily.com
  * Add evennode.com
  * Add realm.cz
  * Add logoip.de, logoip.com
  * Add virtueldomein.nl
  * Add *.magnetosite.cloud
  * Add cyryptonomic.net
  * Correct Amazon AWS EC2 China
  * Add hasura-app.io.
  * Update .BA suffixes
* Fri Jun 10 2016 astieger@suse.com
- 2016-06-10 update:
  * Add spacekit.io
  * Add potager.org domains
  * Add boxfuse.io
* Fri May 27 2016 astieger@suse.com
- 2016-05-25 update:
  * Add No-IP.com's domains
  * Add pgfog.com
  * Add Freebox domains
  * Add e4.cz
  * Add skyhat.io
  * Add dy.fi, tunk.org
  * Update .jp
* Tue May 10 2016 astieger@suse.com
- 2016-05-09 update:
  * Add new gTLDs up to 2016-05-09
  * Add dnshome.de
* Fri Apr 22 2016 astieger@suse.com
- 2016-04-20 update:
  * Add ownprovider.com for OwnProvider
  * Add nerdpol.ovh part of nsupdate.info dyndns service
  * Add townnews customer domain suffixes
  * Add on-aptible.com
  * Add router.management
  * Add compute.estate and alces.network
  * Update .zm TLD
  * Add GoIP DNS Services
  * Add chirurgiens-dentistes-en-france.fr
  * Add myfritz.net for AVM
  * Add nsupdate.info dyndns service
  * Add dedyn.io
  * Google: Add *.0emm.com
  * Add daplie.me
  * Add hzc.io
  * Add new gTLDs up to 2016-04-04
* Thu Mar 31 2016 idonmez@suse.com
- 2016-03-15 update:
  * add .xn--e1a4c, oy.lc
  * add new gTLDs through 2016-03-25
* Sat Mar 12 2016 astieger@suse.com
- 2016-03-10 update:
  * add co.dk, biz.dk, firm.dk, store.dk, reg.dk
  * add cyon.link and cyon.site
  * remove patheon.io, add patheonsite.io
* Sun Mar  6 2016 astieger@suse.com
- 2016-03-02 update:
  * add apps.fbsbx.com
  * update github list
  * add new gTLDs up through 2016-03-01
* Fri Feb 19 2016 astieger@suse.com
- 2016-02-19 update:
  * Add xenapponazure.com to the PSL
  * Add dynv6 dynamic DNS service
  * Add new .pro suffixes
  * Update AWS domains
* Tue Feb  2 2016 psimons@suse.com
- 2016-02-02 update:
  * add *.i.ng
  * update ng reference URL
  * sort entries alphabetically
* Fri Jan 29 2016 astieger@suse.com
- 2016-01-29 update:
  * Add Drobo Dynamic DNS service
  * add TLD .co.cz
  * Minor change for .rs and .срб (xn--90a3ac) domains
  * Add prgmr.com customer domain suffix
* Thu Jan 21 2016 astieger@suse.com
- 2016-01-15 update:
  * Clean-up some inconsistency of data
  * Add additional entries to .GY ccTLD
  * Remove .TP, TLD has been decommissioned
  * Renamed agrica.za to agric.za
* Thu Jan  7 2016 astieger@suse.com
- 2016-01-06 update:
  * Add cloudfunctions.net to Google, Inc. section
  * Add new gTLDs up to 2016-01-04
* Mon Dec  7 2015 astieger@suse.com
- update to 20151205
* Tue Dec  1 2015 astieger@suse.com
- update to 20151130:
  * Remove .an domains from the list (deleted from root zone).
  * Update .ni to have explicit list.
  * Remove taxi.aero, marketplace.aero
* Sun Nov 15 2015 astieger@suse.com
- initial package for openSUSE / SLE based on Fedora spec
- update to 20151112
